ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Plugin.HLS.GhcIde

Description

Exposes the ghcide features as an HLS plugin

# Documentation

descriptors :: Recorder (WithPriority Log) -> [PluginDescriptor IdeState] #

data Log #

Constructors

LogNotifications Log |
LogCompletions Log |
LogTypeLenses Log |
LogHover Log |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.Plugin.HLS.GhcIde Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.Plugin.HLS.GhcIde Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #